| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
StratosharkCaptureFilePropertiesDialog Class Reference
Inheritance diagram for StratosharkCaptureFilePropertiesDialog:

## Public Member Functions
| StratosharkCaptureFilePropertiesDialog (QWidget &parent, CaptureFile &capture_file)
Public Member Functions inherited from CaptureFilePropertiesDialog
| CaptureFilePropertiesDialog (QWidget &parent, CaptureFile &capture_file)
Public Member Functions inherited from WiresharkDialog
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
bool | fileClosed () const
| true if the file has been closed, false otherwise.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
void | setWindowModality (Qt::WindowModality windowModality)

## Protected Member Functions
virtual QString | getStartTextString () const override
virtual QString | getFirstItemString () const override
virtual QString | getLastItemString () const override
virtual QString | getEndTextString () const override
virtual QString | getDroppedItemString () const override
virtual QString | getItemSizeLimitString () const override
virtual QString | getRowTitleString () const override
virtual QString | getAvgItemSizeString () const override
virtual QString | getItemCommentString () const override
virtual QString | getCreatedByString () const override
Protected Member Functions inherited from WiresharkDialog
virtual void | keyPressEvent (QKeyEvent *event)
virtual void | accept ()
virtual void | reject ()
void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.
virtual void | endRetapPackets ()
| Mark the end of a code block that retaps packets. If the user has closed the dialog it will be destroyed at this point.
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.
const QString & | windowSubtitle ()
virtual void | updateWidgets ()
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, unsigned flags, tap_reset_cb tap_reset, tap_packet_cb tap_packet, tap_draw_cb tap_draw)
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | dialogClosed () const
| Check to see if the user has closed (and not minimized) the dialog.
int | retapDepth () const
| Check to see if we're currently retapping. If this is positive, tapping will fail in process_specified_records.
virtual void | captureFileClosing ()
| Called when the capture file is about to close. This can be used to disconnect taps and similar actions. updateWidgets() is called at the end. To enable/disable widgets captureFileClosed() is more suitable.
virtual void | captureFileClosed ()
| Called when the capture file was closed. This can be used to enable or disable widgets according to the state of file_closed_. updateWidgets() is called at the end.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
void | loadSplitterState (QSplitter *splitter=nullptr)

## Additional Inherited Members
Signals inherited from CaptureFilePropertiesDialog
void | captureCommentChanged ()
Protected Slots inherited from CaptureFilePropertiesDialog
void | changeEvent (QEvent *event)
Protected Slots inherited from WiresharkDialog
void | captureEvent (CaptureEvent)
Protected Attributes inherited from WiresharkDialog
CaptureFile & | cap_file_
bool | file_closed_

## Member Function Documentation

## ◆ getAvgItemSizeString()

QString StratosharkCaptureFilePropertiesDialog::getAvgItemSizeString | ( |  | ) | const
| override protected virtual

Reimplemented from CaptureFilePropertiesDialog.

## ◆ getCreatedByString()

QString StratosharkCaptureFilePropertiesDialog::getCreatedByString | ( |  | ) | const
| override protected virtual

Reimplemented from CaptureFilePropertiesDialog.

## ◆ getDroppedItemString()

QString StratosharkCaptureFilePropertiesDialog::getDroppedItemString | ( |  | ) | const
| override protected virtual

Reimplemented from CaptureFilePropertiesDialog.

## ◆ getEndTextString()

QString StratosharkCaptureFilePropertiesDialog::getEndTextString | ( |  | ) | const
| override protected virtual

Reimplemented from CaptureFilePropertiesDialog.

## ◆ getFirstItemString()

QString StratosharkCaptureFilePropertiesDialog::getFirstItemString | ( |  | ) | const
| override protected virtual

Reimplemented from CaptureFilePropertiesDialog.

## ◆ getItemCommentString()

QString StratosharkCaptureFilePropertiesDialog::getItemCommentString | ( |  | ) | const
| override protected virtual

Reimplemented from CaptureFilePropertiesDialog.

## ◆ getItemSizeLimitString()

QString StratosharkCaptureFilePropertiesDialog::getItemSizeLimitString | ( |  | ) | const
| override protected virtual

Reimplemented from CaptureFilePropertiesDialog.

## ◆ getLastItemString()

QString StratosharkCaptureFilePropertiesDialog::getLastItemString | ( |  | ) | const
| override protected virtual

Reimplemented from CaptureFilePropertiesDialog.

## ◆ getRowTitleString()

QString StratosharkCaptureFilePropertiesDialog::getRowTitleString | ( |  | ) | const
| override protected virtual

Reimplemented from CaptureFilePropertiesDialog.

## ◆ getStartTextString()

QString StratosharkCaptureFilePropertiesDialog::getStartTextString | ( |  | ) | const
| override protected virtual

Reimplemented from CaptureFilePropertiesDialog.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/stratoshark/stratoshark_capture_file_properties_dialog.h
- /builds/wireshark/wireshark/ui/stratoshark/stratoshark_capture_file_properties_dialog.cpp